/*
; Radio turret driver.
; ====================

;------------------------------------------------------------------------
; Author:	Franzi Edo.	The 18/05/97
; Modifs:
;
; Project:	Ksys (based on Khepera system 5 or greater)
; Goal:		Driver for the radio turret
;
; This module is (c) of Edoardo Franzi 1992-1998
; franzi@k-team.com
;
;------------------------------------------------------------------------
*/

#ifndef	_RADIO_H
#define	_RADIO_H

#ifdef  __cplusplus
extern "C" {
#endif

/* Functions */
/* ========= */

extern	int32	radio_reset(void);
extern	int32	radio_getVersion(void);
extern	int32	radio_sndBuffer(uint8 *buffer);
extern	int32	radio_recBuffer(uint8 *buffer);
extern	int32	radio_getStatus(void);
extern	int32	radio_getIDNumber(void);

#ifdef  __cplusplus
}
#endif

#endif
